Bulk Mutate an Organization's Issues
Bulk mutate various attributes on a maxmimum of 1000 issues.
- For non-status updates, the
idquery parameter is required. - For status updates, the
idquery parameter may be omitted to update issues that match the filtering. If any IDs are out of scope, the data won't be mutated but the endpoint will still produce a successful response. For example, if no issues were found matching the criteria, a HTTP 204 is returned.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Query Parameters:
environment(array(string))The name of environments to filter by.
project(array(undefined))The IDs or slugs of projects to filter by. Project slugs are unique within each organization. Omit this parameter to include all accessible projects.
-1is also accepted to include all accessible projects. For example, the following are valid parameters:/?project=1234&project=56789/?project=android&project=javascript-react/?project=-1
id(array(integer))The list of issue IDs to mutate. It is optional for status updates, in which an implicit
update allis assumed.statsPeriod(string)The period of time for the query, will override the start & end parameters, a number followed by one of:
dfor dayshfor hoursmfor minutessfor secondswfor weeks
For example,
24h, to mean query data starting from 24 hours ago to now.start(string)The start of the period of time for the query, expected in ISO-8601 format. For example,
2001-12-14T12:34:56.7890.end(string)The end of the period of time for the query, expected in ISO-8601 format. For example,
2001-12-14T12:34:56.7890.query(string)An optional search query for filtering issues. A default query will apply if no query is set. For all results use this parameter with an empty string.
sort(string)- choices:
- date
- freq
- inbox
- new
- recommended
- trends
- user
The sort order of the view. Options include 'Last Seen' (
date), 'First Seen' (new), 'Trends' (trends), 'Events' (freq), 'Users' (user), 'Date Added' (inbox), and 'Recommended' (recommended).
Body Parameters
inbox(boolean)If true, marks the issue as reviewed by the requestor.
status(string)The new status for the issues.
resolvedunresolvedignoredresolvedInNextReleasemuted
statusDetailsAdditional details about the resolution. Status detail updates that include release data are only allowed for issues within a single project.
substatus(string)The new substatus of the issue.
archived_until_escalatingarchived_until_condition_metarchived_foreverescalatingongoingregressednew
hasSeen(boolean)If true, marks the issue as seen by the requestor.
isBookmarked(boolean)If true, bookmarks the issue for the requestor.
isPublic(boolean)If true, publishes the issue.
isSubscribed(boolean)If true, subscribes the requestor to the issue.
merge(boolean)If true, merges the issues together.
discard(boolean)If true, discards the issues instead of updating them.
assignedTo(string)The user or team that should be assigned to the issues. Values take the form of
<user_id>,user:<user_id>,<username>,<user_primary_email>, orteam:<team_id>.priority(string)The priority that should be set for the issues
lowmediumhigh
ignoreDuration(integer)Ignore the issue for this many minutes.
ignoreCount(integer)Ignore the issue until it is seen this many more times.
ignoreWindow(integer)Window in minutes over which
ignoreCountis measured. Maximum is 7 days.ignoreUserCount(integer)Ignore the issue until it affects this many more users.
ignoreUserWindow(integer)Window in minutes over which
ignoreUserCountis measured. Maximum is 7 days.snoozeDuration(integer)Snooze the issue for this many minutes.
Scopes
<auth_token> requires one of the following scopes:event:adminevent:write
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/issues/ \ -H 'Authorization: Bearer <auth_token>' \ -X PUT \ -H 'Content-Type: application/json' \ -d '{}'
Copied{ "assignedTo": { "type": "user", "id": "1", "name": "John Doe", "email": "john.doe@example.com" }, "discard": false, "hasSeen": true, "inbox": true, "isBookmarked": false, "isPublic": true, "isSubscribed": true, "merge": { "children": [ "11", "12", "13" ], "parent": "10" }, "priority": "medium", "shareId": "123def456abc", "status": "ignored", "statusDetails": { "ignoreDuration": 100, "ignoreCount": 10, "ignoreWindow": 60, "ignoreUserCount": 10, "ignoreUserWindow": 60, "inNextRelease": false, "inRelease": "1.0.0", "inCommit": { "commit": "123def456abc", "repository": "getsentry/sentry" } }, "subscriptionDetails": { "disabled": false, "reason": "mentioned" }, "substatus": "archived_until_condition_met" }